import S3 from "aws-sdk/clients/s3";
export interface ImageManagerCanProcessParams {
    key: string;
    extension: string;
}
export interface ImageManagerProcessParams {
    s3: S3;
    key: string;
    extension: string;
}
declare const _default: {
    canProcess: (params: ImageManagerCanProcessParams) => boolean;
    process({ s3, key, extension }: ImageManagerProcessParams): Promise<void>;
};
export default _default;
