"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.extractFileInformation = void 0;
var _path = _interopRequireDefault(require("path"));
/**
 * Based on given request path, extracts file key and additional options sent via query params.
 */
const extractFileInformation = request => {
  const path = request.params["*"];
  return {
    filename: decodeURI(path),
    options: request.query,
    extension: _path.default.extname(path)
  };
};
exports.extractFileInformation = extractFileInformation;