import { ContextPlugin } from "@webiny/api";
import { FileManagerConfig } from "./createFileManager";
import { FileManagerContext } from "./types";
export * from "./plugins";
export declare const createFileManagerContext: ({ storageOperations }: Pick<FileManagerConfig, "storageOperations">) => ContextPlugin<FileManagerContext>;
export declare const createFileManagerGraphQL: () => (import("@webiny/handler-graphql").GraphQLSchemaPlugin<FileManagerContext> | ContextPlugin<FileManagerContext>)[];
export * from "./modelModifier/CmsModelModifier";
